HINO Bugs - Bug #1008

[Time Management] - Generate Absence Quota Berdasarkan Hiring Date belum memfilter employee
yang status nya active

03/23/2022 02:57 PM - Muhammad Bintar

Status: Closed Start date: 03/23/2022
Priority: Normal Due date: 03/25/2022
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Description

Dear tim developer mohon support nya untuk case dimana modul generate absence quota ini masih membaca employee status
yang active, inactive, withdrawn, resign padahal seharusnya yang difilter adalah employee active saja.

contoh sample employeeid 00000468

dan juga pada saat generate di filter hiring date terjadi data yang double2

Generate Absence Quota

Absence Type
GenerateType: Hiring Date - Start Deduction: 0
Start Date: End Deduction: 0
End Date: Absence Quota Type: Annual Leave -
Period From: 02 -2022 = Quota: 12
Period To: 03 -2023 =
Year Of Service Min: 0
Year Of Service Max: 99

Emplovee Filter

© Add W Delete
Start Date End Date Absence Quota Ty... Full Name Start Deduction = End Deduction = Original Quo... Remaining Q
440 01/03/2022 28/02/2023  Annual Leave 00000412  Khairul Arifin Luthti 01/03/2022 28/02/2023 12 12 ~
441 01/03/2022 28/02/2023  Annual Leave 00000412 Khairul Arifin Luthfi 01/03/2022 28/02/2023 12 12
442 01/02/2022 31/01/2023  Annual Leave 00000468 Muhammad Al Habi 01/02/2022 31/01/2023 12 12
443  01/02/2022  31/01/2023  Annual Leave 00000468 Muhammad Al Habi 01/02/2022 31/01/2023 12 12
444 01/02/2022 31/01/2023  Annual Leave 00000468 Muhammad Al Habi 01/02/2022 31/01/2023 12 12
445 01/02/2022  31/01/2023  Annual Leave 00000468 Muhammad Al Habi 01/02/2022 31/01/2023 12 12
446 01/02/2022 31/01/2023  Annual Leave 00000469  Wandy Tansir 01/02/2022 31/01/2023 12 12
447 01/02/2022  31/01/2023  Annual Leave 00000469  Wandy Tansir 01/02/2022 31/01/2023 12 12
448 01/02/2022 31/01/2023  Annual Leave 00000469  Wandy Tansir 01/02/2022 31/01/2023 12 12
449 01/02/2022  31/01/2023  Annual Leave 00000470  Aizul Fitri Yanto 01/02/2022 31/01/2023 12 12

07/02/2025 12




App: http:/remote.minovais.com:61120/

Human Resource > HR Administration > Time Management > Generate Absence Quota

Db : 192.168.3.105

MINOVAIS-SERVER/MSSQLSERVER2019/MinovaES_HINO_Prod/PHRPA0017

CATATAN:

redmine ini menyambung redmine http://remote.minovais.com:3000/redmine/issues/966

History

#1 - 03/23/2022 04:20 PM - Tri Rizqgiaty

- Status changed from New to Assigned

#2 - 03/24/2022 09:35 AM - Tri Rizqgiaty
- File MinovalS.MinovaES.Business. TM.dll added

- Status changed from Assigned to Developing

Fixing :
Update folder API2 - dll : MinovalS.MinovaES.Business. TM.dll
#3 - 03/24/2022 09:36 AM - Tri Rizqiaty

- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Muhammad Bintar

#4 - 10/21/2024 10:39 AM - Muhammad Bintar
- Status changed from QA Test to Closed

Files

clipboard-202203231454-wxp0p.png 36.5 KB 03/23/2022 Muhammad Bintar

clipboard-202203231455-ahkag.png 67.4 KB 03/23/2022 Muhammad Bintar

MinovalS.MinovaES.Business. TM.dII 81.5 KB 083/24/2022 Tri Rizgiaty
07/02/2025 22



http://remote.minovais.com:61120/
http://remote.minovais.com:3000/redmine/issues/966
http://www.tcpdf.org

